#
# Conditional build:
%bcond_with	ppr	# ppr support disabled until we have ppr.spec in working shape
#
%include	/usr/lib/rpm/macros.perl
Summary:	System for using free software printer drivers
Summary(pl.UTF-8):	System umożliwiający używanie darmowych sterowników drukarek
Name:		foomatic-filters
Version:	4.0.17
Release:	1
Epoch:		1
License:	GPL v2+
Group:		Applications/System
Source0:	http://www.openprinting.org/download/foomatic/%{name}-%{version}.tar.gz
# Source0-md5:	b05f5dcbfe359f198eef3df5b283d896
URL:		http://www.linuxfoundation.org/en/OpenPrinting/Database/Foomatic
BuildRequires:	autoconf >= 2.61
BuildRequires:	automake
BuildRequires:	dbus-devel
BuildRequires:	rpm-perlprov
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define	_ulibdir	%{_prefix}/lib

%description
Foomatic is a system for using free software printer drivers with
common spoolers on Unix. It supports LPD, PDQ, CUPS, the VA Linux LPD,
LPRng, PPR, and direct spooler-less printing and any free software
driver for which execution data has been entered in the database.

%description -l pl.UTF-8
Foomatic to system pozwalający na używanie wolnodostępnych sterowników
drukarek z popularnymi uniksowymi serwerami wydruków. Obsługuje LPD,
PDQ, CUPS, VA Linux LPD, LPRng, PPR i bezpośrednie drukowanie bez
kolejkowania oraz dowolny wolnodostępny sterownik, dla którego
parametry zostały wprowadzone do bazy danych.

%package -n cups-filter-foomatic
Summary:	cupsomatic - CUPS filter
Summary(pl.UTF-8):	cupsomatic - filtr do CUPS
Group:		Applications/System
Requires:	%{name} = %{epoch}:%{version}
Requires:	cups
Obsoletes:	cups-foomatic
Obsoletes:	foomatic-cups

%description -n cups-filter-foomatic
Cupsomatic is intended to be used as a CUPS filter for printers
defined in a PPD file (CUPS-O-Matic or PPD-O-Matic) obtained from the
Linux Printing Database.

%description -n cups-filter-foomatic -l pl.UTF-8
Cupsomatic jest filtrem do CUPS dla drukarek zdefiniowanych w pliku
PPD (CUPS-O-Matic lub PPD-O-Matic), uzyskanym z Linux Printing
Database.

%package ppr
Summary:	ppromatic - PPR interface
Summary(pl.UTF-8):	ppromatic - interfejs do PPR
Group:		Applications/System
Requires:	%{name} = %{epoch}:%{version}
Requires:	ppr
Obsoletes:	foomatic-ppr

%description ppr
ppromatic is intended to be used as a PPR interface for printers
defined in a PPD-O-Matic PPD file obtained from the Linux Printing
Database.

%description ppr -l pl.UTF-8
ppromatic jest interfejsem do PPR dla drukarek zdefiniowanych w pliku
PPD (PPD-O-Matic) uzyskanym z Linux Printing Database.

%prep
%setup -q

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-file-converter-check
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR="$RPM_BUILD_ROOT"

ln -sf %{_bindir}/foomatic-rip $RPM_BUILD_ROOT%{_ulibdir}/cups/filter/cupsomatic

%if %{without ppr}
%{__rm} -r $RPM_BUILD_ROOT%{_ulibdir}/ppr
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog TODO README USAGE
%dir %{_sysconfdir}/foomatic
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/foomatic/direct
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/foomatic/filter.conf
%attr(755,root,root) %{_bindir}/foomatic-rip
%{_mandir}/man1/foomatic-rip.1*

%files -n cups-filter-foomatic
%defattr(644,root,root,755)
%attr(755,root,root) %{_ulibdir}/cups/backend/beh
%attr(755,root,root) %{_ulibdir}/cups/filter/cupsomatic
%attr(755,root,root) %{_ulibdir}/cups/filter/foomatic-rip

%if %{with ppr}
%files ppr
%defattr(644,root,root,755)
%attr(755,root,root) %{_ulibdir}/ppr/interfaces/foomatic-rip
%attr(755,root,root) %{_ulibdir}/ppr/lib/foomatic-rip
%endif
%changelog
* Wed Apr 05 2017 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/foomatic-filters.git;a=log;h=master

* Sun Mar 24 2013 Jakub Bogusz <qboosh@pld-linux.org> a511bd8
- GPL version

* Sun Mar 24 2013 Jakub Bogusz <qboosh@pld-linux.org> 06844df
- updated to 4.0.17

* Sat Jun 02 2012 Caleb Maclennan <caleb@alerque.com> dc78a62
- Up to 4.0.15

* Wed Jan 18 2012 Caleb Maclennan <caleb@alerque.com> 9978d5f
- Up to 4.0.9

* Fri Feb 25 2011 Caleb Maclennan <caleb@alerque.com> 0d721c6
- Up to 4.0.7

* Fri Dec 17 2010 Caleb Maclennan <caleb@alerque.com> 9d69284
- up to 4.0.6

* Thu Aug 26 2010 Karol Krenski <charles@pld-linux.org> 3e5ae3a
- updated to 4.0.5

* Fri Sep 18 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> a17894c
- up to 4.0.3

* Mon Mar 17 2008 Patryk Zawadzki <patrys@room-303.com> e80a98b
- bah, use rel 1

* Mon Mar 17 2008 Patryk Zawadzki <patrys@room-303.com> 37c1fac
- 20080317

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 81f9d81
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 104c8aa
- converted to UTF-8

* Sat Dec 16 2006 shadzik <shadzik@pld-linux.org> 771d06e
- own /etc/foomatic (i don't know if it's a proper soluttion to get dir of installation failure at TH but lets try)
- rel 2

* Thu Aug 10 2006 havner <havner@pld-linux.org> 4cc458b
- this bug was fixed in 3.0.2

* Mon Dec 12 2005 Elan Ruusamäe <glen@pld-linux.org> 9baf484
- adapterized (sorted %verify attrs)

* Tue Jan 18 2005 ankry <ankry@pld-linux.org> 9381b6e
- kill Source0-size

* Thu Oct 14 2004 deejay1 <deejay1@pld-linux.org> b4bddbe
- updated to 3.0.2 see CAN-2004-0801

* Tue Sep 21 2004 Paweł Gołaszewski <blues@pld-linux.org> 2bf029b
- added SECURITY note

* Fri Aug 06 2004 Arkadiusz Miśkiewicz <arekm@maven.pl> ff901ac
- rel2; ppr into bcond: default off

* Fri Feb 20 2004 deejay1 <deejay1@pld-linux.org> acd3873
- BR: a2ps

